Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`conch`.`telnet``

module documentation
(source)

Telnet protocol implementation.

Author
Jean-Paul Calderone

Interface | `ITelnetProtocol` | No interface docstring; 6/6 methods documented
Interface | `ITelnetTransport` | No interface docstring; 5/5 methods documented
Class | `AuthenticatingTelnetProtocol` | A protocol which prompts for credentials and attempts to authenticate them.
Class | `ProtocolTransportMixin` | Undocumented
Class | `StatefulTelnetProtocol` | Undocumented
Class | `Telnet` | No summary
Class | `TelnetBootstrapProtocol` | Undocumented
Class | `TelnetProtocol` | Undocumented
Class | `TelnetTransport` | No summary
Exception | `AlreadyDisabled` | Undocumented
Exception | `AlreadyEnabled` | Undocumented
Exception | `AlreadyNegotiating` | Undocumented
Exception | `NegotiationError` | Undocumented
Exception | `OptionRefused` | Undocumented
Exception | `TelnetError` | Undocumented
Constant | `AO` | Undocumented
Constant | `AYT` | Undocumented
Constant | `BEL` | Undocumented
Constant | `BRK` | Undocumented
Constant | `BS` | Undocumented
Constant | `CR` | Undocumented
Constant | `DM` | Undocumented
Constant | `DO` | Undocumented
Constant | `DONT` | Undocumented
Constant | `EC` | Undocumented
Constant | `ECHO` | Undocumented
Constant | `EDIT` | Undocumented
Constant | `EL` | Undocumented
Constant | `EOR` | Undocumented
Constant | `FF` | Undocumented
Constant | `GA` | Undocumented
Constant | `HT` | Undocumented
Constant | `IAC` | Undocumented
Constant | `IP` | Undocumented
Constant | `LF` | Undocumented
Constant | `LINEMODE` | Undocumented
Constant | `LINEMODE_ABORT` | Undocumented
Constant | `LINEMODE_EDIT` | Undocumented
Constant | `LINEMODE_EOF` | Undocumented
Constant | `LINEMODE_FORWARDMASK` | Undocumented
Constant | `LINEMODE_LIT_ECHO` | Undocumented
Constant | `LINEMODE_MODE` | Undocumented
Constant | `LINEMODE_MODE_ACK` | Undocumented
Constant | `LINEMODE_SLC` | Undocumented
Constant | `LINEMODE_SLC_ABORT` | Undocumented
Constant | `LINEMODE_SLC_ACK` | Undocumented
Constant | `LINEMODE_SLC_AO` | Undocumented
Constant | `LINEMODE_SLC_AYT` | Undocumented
Constant | `LINEMODE_SLC_BRK` | Undocumented
Constant | `LINEMODE_SLC_CANTCHANGE` | Undocumented
Constant | `LINEMODE_SLC_DEFAULT` | Undocumented
Constant | `LINEMODE_SLC_EBOL` | Undocumented
Constant | `LINEMODE_SLC_EC` | Undocumented
Constant | `LINEMODE_SLC_ECR` | Undocumented
Constant | `LINEMODE_SLC_EEOL` | Undocumented
Constant | `LINEMODE_SLC_EL` | Undocumented
Constant | `LINEMODE_SLC_EOF` | Undocumented
Constant | `LINEMODE_SLC_EOR` | Undocumented
Constant | `LINEMODE_SLC_EW` | Undocumented
Constant | `LINEMODE_SLC_EWR` | Undocumented
Constant | `LINEMODE_SLC_FLUSHIN` | Undocumented
Constant | `LINEMODE_SLC_FLUSHOUT` | Undocumented
Constant | `LINEMODE_SLC_FORW1` | Undocumented
Constant | `LINEMODE_SLC_FORW2` | Undocumented
Constant | `LINEMODE_SLC_INSRT` | Undocumented
Constant | `LINEMODE_SLC_IP` | Undocumented
Constant | `LINEMODE_SLC_LEVELBITS` | Undocumented
Constant | `LINEMODE_SLC_LNEXT` | Undocumented
Constant | `LINEMODE_SLC_MCBOL` | Undocumented
Constant | `LINEMODE_SLC_MCEOL` | Undocumented
Constant | `LINEMODE_SLC_MCL` | Undocumented
Constant | `LINEMODE_SLC_MCR` | Undocumented
Constant | `LINEMODE_SLC_MCWL` | Undocumented
Constant | `LINEMODE_SLC_MCWR` | Undocumented
Constant | `LINEMODE_SLC_NOSUPPORT` | Undocumented
Constant | `LINEMODE_SLC_OVER` | Undocumented
Constant | `LINEMODE_SLC_RP` | Undocumented
Constant | `LINEMODE_SLC_SUSP` | Undocumented
Constant | `LINEMODE_SLC_SYNCH` | Undocumented
Constant | `LINEMODE_SLC_VALUE` | Undocumented
Constant | `LINEMODE_SLC_XOFF` | Undocumented
Constant | `LINEMODE_SLC_XON` | Undocumented
Constant | `LINEMODE_SOFT_TAB` | Undocumented
Constant | `LINEMODE_SUSP` | Undocumented
Constant | `LINEMODE_TRAPSIG` | Undocumented
Constant | `LIT_ECHO` | Undocumented
Constant | `MODE` | Undocumented
Constant | `MODE_ACK` | Undocumented
Constant | `NAWS` | Undocumented
Constant | `NOP` | Undocumented
Constant | `NULL` | Undocumented
Constant | `SB` | Undocumented
Constant | `SE` | Undocumented
Constant | `SGA` | Undocumented
Constant | `SOFT_TAB` | Undocumented
Constant | `TRAPSIG` | Undocumented
Constant | `VT` | Undocumented
Constant | `WILL` | Undocumented
Constant | `WONT` | Undocumented
Function | `_chr` | Create a byte sequence of length 1.

AO = (source)

Undocumented

Value

    _chr(245)

AYT = (source)

Undocumented

Value

    _chr(246)

BEL = (source)

Undocumented

Value

    _chr(7)

BRK = (source)

Undocumented

Value

    _chr(243)

BS = (source)

Undocumented

Value

    _chr(8)

CR = (source)

Undocumented

Value

    _chr(13)

DM = (source)

Undocumented

Value

    _chr(242)

DO = (source)

Undocumented

Value

    _chr(253)

DONT = (source)

Undocumented

Value

    _chr(254)

EC = (source)

Undocumented

Value

    _chr(247)

ECHO = (source)

Undocumented

Value

    _chr(1)

EDIT: `int` = (source)

Undocumented

Value

    1

EL = (source)

Undocumented

Value

    _chr(248)

EOR = (source)

Undocumented

Value

    _chr(239)

FF = (source)

Undocumented

Value

    _chr(12)

GA = (source)

Undocumented

Value

    _chr(249)

HT = (source)

Undocumented

Value

    _chr(9)

IAC = (source)

Undocumented

Value

    _chr(255)

IP = (source)

Undocumented

Value

    _chr(244)

LF = (source)

Undocumented

Value

    _chr(10)

LINEMODE = (source)

Undocumented

Value

    _chr(34)

LINEMODE_ABORT = (source)

Undocumented

Value

    _chr(238)

LINEMODE_EDIT = (source)

Undocumented

Value

    _chr(1)

LINEMODE_EOF = (source)

Undocumented

Value

    _chr(236)

LINEMODE_FORWARDMASK = (source)

Undocumented

Value

    _chr(2)

LINEMODE_LIT_ECHO = (source)

Undocumented

Value

    _chr(16)

LINEMODE_MODE = (source)

Undocumented

Value

    _chr(1)

LINEMODE_MODE_ACK = (source)

Undocumented

Value

    _chr(4)

LINEMODE_SLC = (source)

Undocumented

Value

    _chr(3)

LINEMODE_SLC_ABORT = (source)

Undocumented

Value

    _chr(7)

LINEMODE_SLC_ACK = (source)

Undocumented

Value

    _chr(128)

LINEMODE_SLC_AO = (source)

Undocumented

Value

    _chr(4)

LINEMODE_SLC_AYT = (source)

Undocumented

Value

    _chr(5)

LINEMODE_SLC_BRK = (source)

Undocumented

Value

    _chr(2)

LINEMODE_SLC_CANTCHANGE = (source)

Undocumented

Value

    _chr(1)

LINEMODE_SLC_DEFAULT = (source)

Undocumented

Value

    _chr(3)

LINEMODE_SLC_EBOL = (source)

Undocumented

Value

    _chr(29)

LINEMODE_SLC_EC = (source)

Undocumented

Value

    _chr(10)

LINEMODE_SLC_ECR = (source)

Undocumented

Value

    _chr(27)

LINEMODE_SLC_EEOL = (source)

Undocumented

Value

    _chr(30)

LINEMODE_SLC_EL = (source)

Undocumented

Value

    _chr(11)

LINEMODE_SLC_EOF = (source)

Undocumented

Value

    _chr(8)

LINEMODE_SLC_EOR = (source)

Undocumented

Value

    _chr(6)

LINEMODE_SLC_EW = (source)

Undocumented

Value

    _chr(12)

LINEMODE_SLC_EWR = (source)

Undocumented

Value

    _chr(28)

LINEMODE_SLC_FLUSHIN = (source)

Undocumented

Value

    _chr(64)

LINEMODE_SLC_FLUSHOUT = (source)

Undocumented

Value

    _chr(32)

LINEMODE_SLC_FORW1 = (source)

Undocumented

Value

    _chr(17)

LINEMODE_SLC_FORW2 = (source)

Undocumented

Value

    _chr(18)

LINEMODE_SLC_INSRT = (source)

Undocumented

Value

    _chr(25)

LINEMODE_SLC_IP = (source)

Undocumented

Value

    _chr(3)

LINEMODE_SLC_LEVELBITS = (source)

Undocumented

Value

    _chr(3)

LINEMODE_SLC_LNEXT = (source)

Undocumented

Value

    _chr(14)

LINEMODE_SLC_MCBOL = (source)

Undocumented

Value

    _chr(23)

LINEMODE_SLC_MCEOL = (source)

Undocumented

Value

    _chr(24)

LINEMODE_SLC_MCL = (source)

Undocumented

Value

    _chr(19)

LINEMODE_SLC_MCR = (source)

Undocumented

Value

    _chr(20)

LINEMODE_SLC_MCWL = (source)

Undocumented

Value

    _chr(21)

LINEMODE_SLC_MCWR = (source)

Undocumented

Value

    _chr(22)

LINEMODE_SLC_NOSUPPORT = (source)

Undocumented

Value

    _chr(0)

LINEMODE_SLC_OVER = (source)

Undocumented

Value

    _chr(26)

LINEMODE_SLC_RP = (source)

Undocumented

Value

    _chr(13)

LINEMODE_SLC_SUSP = (source)

Undocumented

Value

    _chr(9)

LINEMODE_SLC_SYNCH = (source)

Undocumented

Value

    _chr(1)

LINEMODE_SLC_VALUE = (source)

Undocumented

Value

    _chr(2)

LINEMODE_SLC_XOFF = (source)

Undocumented

Value

    _chr(16)

LINEMODE_SLC_XON = (source)

Undocumented

Value

    _chr(15)

LINEMODE_SOFT_TAB = (source)

Undocumented

Value

    _chr(8)

LINEMODE_SUSP = (source)

Undocumented

Value

    _chr(237)

LINEMODE_TRAPSIG = (source)

Undocumented

Value

    _chr(2)

LIT_ECHO: `int` = (source)

Undocumented

Value

    16

MODE = (source)

Undocumented

Value

    _chr(1)

MODE_ACK: `int` = (source)

Undocumented

Value

    4

NAWS = (source)

Undocumented

Value

    _chr(31)

NOP = (source)

Undocumented

Value

    _chr(241)

NULL = (source)

Undocumented

Value

    _chr(0)

SB = (source)

Undocumented

Value

    _chr(250)

SE = (source)

Undocumented

Value

    _chr(240)

SGA = (source)

Undocumented

Value

    _chr(3)

SOFT_TAB: `int` = (source)

Undocumented

Value

    8

TRAPSIG: `int` = (source)

Undocumented

Value

    2

VT = (source)

Undocumented

Value

    _chr(11)

WILL = (source)

Undocumented

Value

    _chr(251)

WONT = (source)

Undocumented

Value

    _chr(252)

def _chr(i: `int`) -> `bytes`: (source)

Create a byte sequence of length 1.

RFC 854 specifies codes in decimal, but Python can only handle `bytes` literals in octal or hexadecimal. This helper function bridges that gap.

Parameters
i:`int` | The value of the only byte in the sequence.
Returns
`bytes` | Undocumented